Summary: VRwave - a VRML 2.0 browser
Name: vrwave
%define version 0.9
Version: %{version}
Release: 1a
Copyright: IICM, Graz University of Technology, Austria
Group: X11/Applications/Graphics
Source0: ftp://ftp.iicm.edu/pub/VRwave/vrwave-%{version}/VRwave-%{version}-src.tar.gz
Source1: localhost:/vrwave.sh
Patch0: localhost:/vrwave-src-%{version}-ppc.patch
URL: http://www.iicm.edu/vrwave
BuildRoot: /var/tmp/root-vrwave
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Prefix: /opt

%description
VRwave is a VRML 2.0 browser being developed at the IICM (Institute
for Information Processing and Computer Supported New Media), Graz
University of Technology, Austria, by the team who brought you the
VRweb VRML 1.0 browser.
VRwave is written largely in Java and requires JDK-1.1.x to run.

%prep
%setup -n %{name}-src-%{version}
%patch0 -p1

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/vrwave/{bin,classes,icons,lib}

%build
./makeit
./makejar
cd native
export CPU=LINUX_J113
mkdir $CPU
cp makefile.CPU $CPU/makefile
make

%install
install -m 755 $RPM_SOURCE_DIR/vrwave.sh $RPM_BUILD_ROOT%{prefix}/vrwave/bin/vrwave
install -m 644 classes/vrwave.jar $RPM_BUILD_ROOT%{prefix}/vrwave/classes
install -m 755 native/LINUX_J113/libgejcon-mesa.so $RPM_BUILD_ROOT%{prefix}/vrwave/lib
ln -s libgejcon-mesa.so $RPM_BUILD_ROOT%{prefix}/vrwave/lib/libgejc.so
install -m 644 test/*.gif $RPM_BUILD_ROOT%{prefix}/vrwave/icons
cp -ar test $RPM_BUILD_ROOT%{prefix}/vrwave
cp -ar jdoc $RPM_BUILD_ROOT%{prefix}/vrwave/jdoc

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUILDING COPYRIGHT ChangeLog HACKING LICENCE README nodes.txt
%dir %{prefix}/vrwave
%{prefix}/vrwave/*

%changelog
* Sun Aug 29 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1-st release with version 0.9

